"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromJson = void 0;
const createElement_1 = require("../constructors/createElement");
const appendChild_1 = require("../operators/appendChild");
const createComment_1 = require("../constructors/createComment");
const createText_1 = require("../constructors/createText");
function fromJson(json) {
    var _a;
    const node = (0, createElement_1.createElement)((_a = json.name) !== null && _a !== void 0 ? _a : '', json.attr);
    if (json.child) {
        json.child.forEach((child) => {
            (0, appendChild_1.appendChild)(node, typeof child === 'string'
                ? child.startsWith('<!--') && child.endsWith('>')
                    ? (0, createComment_1.createComment)(child)
                    : (0, createText_1.createText)(child)
                : fromJson(child));
        });
    }
    return node;
}
exports.fromJson = fromJson;
//# sourceMappingURL=fromJson.js.map