"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cloneNode = void 0;
const createAttrsMap_1 = require("../constructors/createAttrsMap");
const createComment_1 = require("../constructors/createComment");
const createElement_1 = require("../constructors/createElement");
const createText_1 = require("../constructors/createText");
const appendChild_1 = require("./appendChild");
const _isComment_1 = require("./_isComment");
const _isText_1 = require("./_isText");
const _isElement_1 = require("./_isElement");
function cloneNode(node, deep = false) {
    const clone = (0, _isText_1._isText)(node)
        ? (0, createText_1.createText)(node.text)
        : (0, _isComment_1._isComment)(node)
            ? (0, createComment_1.createComment)(node.text)
            : (0, createElement_1.createElement)(node.tagName, (0, createAttrsMap_1.createAttrsMap)(node.attributes));
    if (deep && (0, _isElement_1._isElement)(node)) {
        node.children.forEach((child) => {
            (0, appendChild_1.appendChild)(clone, cloneNode(child, true));
        });
    }
    return clone;
}
exports.cloneNode = cloneNode;
//# sourceMappingURL=cloneNode.js.map