import { createAttrsMap } from '../constructors/createAttrsMap.js';
import { _isElement } from '../operators/_isElement.js';
export function toJson(node) {
    const result = { name: node.tagName };
    if (node.attributes.length)
        result.attr = createAttrsMap(node.attributes);
    if (node.children.length) {
        result.child = node.children.map((child) => (_isElement(child) ? toJson(child) : child.text));
    }
    return result;
}
//# sourceMappingURL=toJson.js.map