import { tokenize } from './selector/tokenizer.js';
import { parseTokens } from './selector/parser.js';
import { unescape as u } from './selector/unescape.js';
var cache = new Map();
export var Selector = {
    unescape: u,
    parse: function (selector) {
        if (cache.has(selector))
            return cache.get(selector);
        var tokens = tokenize(selector);
        var check = parseTokens(tokens);
        cache.set(selector, check);
        return check;
    },
};
//# sourceMappingURL=Selector.js.map