import { createAttrsMap } from '../constructors/createAttrsMap.js';
import { createComment } from '../constructors/createComment.js';
import { createElement } from '../constructors/createElement.js';
import { createText } from '../constructors/createText.js';
import { appendChild } from './appendChild.js';
import { _isComment } from './_isComment.js';
import { _isText } from './_isText.js';
import { _isElement } from './_isElement.js';
export function cloneNode(node, deep) {
    if (deep === void 0) { deep = false; }
    var clone = _isText(node)
        ? createText(node.text)
        : _isComment(node)
            ? createComment(node.text)
            : createElement(node.tagName, createAttrsMap(node.attributes));
    if (deep && _isElement(node)) {
        node.children.forEach(function (child) {
            appendChild(clone, cloneNode(child, true));
        });
    }
    return clone;
}
//# sourceMappingURL=cloneNode.js.map